=== debian/changelog ===
mysql-gui-tools (5.0r14+openSUSE-2.2ubuntu2) oneiric; urgency=low

  * s/G_CONST_RETURN/const/. LP: #770811.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 14 Sep 2011 16:25:43 +0200

mysql-gui-tools (5.0r14+openSUSE-2.2ubuntu1) natty; urgency=low

  * 99-disable-GDK-deprecation.patch: fix FTBFS in amd64 because of function
    `gdk_gc_new' implicitly converted to pointer. This is done by dropping 
     GDK_DISABLE_DEPRECATED and possible because mysql-gui-tools has been
     superseded by sql workbench, not yet in Debian. This makes the package
     installable (LP: #683817)

 -- Fabrice Coutadeur <fabricesp@ubuntu.com>  Mon, 25 Apr 2011 07:11:49 +0200

mysql-gui-tools (5.0r14+openSUSE-2.2) unstable; urgency=low

  * Non-maintainer upload.
  * Change source format to 3.0 (quilt), so that changes to upstream
    sources are kept in patches
  * Manpages moved inside debian/, avoid useless diff against
    upstream source
  * Store previous NMU in a patch (00-fix_FTBFS_GTK_WIDGET_STATE.patch)
  * Fix FTBFS on GNU/kFreeBSD, patch by Petr Salinger (Closes: #581402)
  * Fix FTBFS with newer libmysqlclient-dev, patch by Johann Felix Soden
    (Closes: #614136, #614477)
  * Fix FTBFS with binutils-gold, missing linkage to libz (Closes: #555864)

 -- David Paleino <dapal@debian.org>  Mon, 21 Mar 2011 10:14:52 +0100

mysql-gui-tools (5.0r14+openSUSE-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix FTBFS due to deprecated GTK_WIDGET_STATE macro.  Thanks to Andreas
    Henriksson for the patch.  (Closes: #577310)  
  * debian/control: Add ${misc:Depends}.
  * Bump Standards-Version to 3.8.4 (no changes required).

 -- Adam D. Barratt <adam@adam-barratt.org.uk>  Sat, 29 May 2010 19:20:22 +0100

mysql-gui-tools (5.0r14+openSUSE-2) unstable; urgency=low

  * debian/control:
    + Build depend on liblualib50-dev instead of liblua50-dev
    + move section to database
    + Add build depends on libgnomeprint2.2-dev

 -- Adam Majer <adamm@zombino.com>  Fri, 02 Oct 2009 20:50:35 -0500

mysql-gui-tools (5.0r14+openSUSE-1) unstable; urgency=low

  * New upstream release (closes: #548782, #527652 )
  * Lots of fixes thanks to great people at OpenSUSE. They were brave
    enough to wrestle this monster of a release into something that not
    only compiles, buy actually works.
  * Use git as the source tarball. Too many binary changes to make
    this work with original upstream tarball and diffs.
  * debian/control
    + Add Vcs-* info to debian/control
    + Use libgtkgtml3.14 instead of deprecated 3.8 (closes: #542015)

 -- Adam Majer <adamm@zombino.com>  Fri, 02 Oct 2009 14:49:47 -0500

mysql-gui-tools (5.0r12-1) unstable; urgency=low

  * Minor semantic corrections to the debian/copyright file.
  * Changed version string to represent upstream versioning.
    MySQL AB uses 'r' to indicate release number not
    release candidate or pre-release (closes: #474427)
  * Apply a small hack that seems to correct some sort of
    race condition by ignoring it - users report that the
    application functions correctly with this hack while it
    fails to function at all without it. Upstream is still
    investigating. (closes: #466623)
  * Acknowledge NMUs. Thanks!

 -- Adam Majer <adamm@zombino.com>  Mon, 21 Jul 2008 01:53:00 -0500

mysql-gui-tools (5.0~rc12-2.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix bashism in debian/rules (Closes: #478411)
  * Bump Standards-Version to 3.8.0.
  * Ensure clean target is really clean to avoid FTBFS when built twice in a
    row.

 -- Chris Lamb <chris@chris-lamb.co.uk>  Sat, 07 Jun 2008 16:20:43 +0100

mysql-gui-tools (5.0~rc12-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix FTBFS with gcc-4.3.  Patch from Cyril Brulebois.  Closes: #455380. 

 -- Mark Hymers <mhy@debian.org>  Sat, 05 Apr 2008 23:33:42 +0000

mysql-gui-tools (5.0~rc12-2) unstable; urgency=low

  * Make Query Browser and Administrator conflict/replace previous,
    common versions of these packages from Etch. (closes: #443764)
  * Add build dependency on OpenGL development files (closes: #443716)
  * Added build dependency on uuid-dev

 -- Adam Majer <adamm@zombino.com>  Sun, 23 Sep 2007 22:49:31 -0500

mysql-gui-tools (5.0~rc12-1) unstable; urgency=low

  * New package replacing mysql-admin and mysql-query-browser

 -- Adam Majer <adamm@zombino.com>  Sun, 11 Sept 2007 11:01:23 -0500
