=== debian/control ===
Source: mysql-gui-tools
Section: database
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Adam Majer <adamm@zombino.com>
Build-Depends: debhelper (>=7), libmysqlclient-dev, libxml2-dev, libglade2-dev, 
 libgtkmm-2.4-dev (>=1:2.6), libpcre3-dev, scrollkeeper, autotools-dev, 
 libgtkhtml3.14-dev, libxml-parser-perl, liblualib50-dev, 
 libgnomeprint2.2-dev,
 libglu-dev | libglu1-mesa-dev, uuid-dev
Standards-Version: 3.8.4
Vcs-Browser: http://git.debian.org/?p=collab-maint/mysql-gui-tools.git
Vcs-Git: git://git.debian.org/collab-maint/mysql-gui-tools.git
Homepage: http://dev.mysql.com/downloads/gui-tools/5.0.html

Package: mysql-admin
Architecture: any
Depends: ${shlibs:Depends}, ${shlibs:Misc}, mysql-gui-tools-common (=${source:Version}), ${misc:Depends}
Recommends: mysql-query-browser
Conflicts: mysql-admin-common
Replaces: mysql-admin-common
Description: GUI tool for intuitive MySQL administration
 MySQL Administrator is a powerful visual administration console that 
 enables you to easily administer your MySQL environment and gain 
 significantly better visibility into how your databases are operating. 
 .
 MySQL Administrator integrates database management and maintenance 
 into a single, seamless environment, with a clear interface.

Package: mysql-query-browser
Architecture: any
Depends: mysql-gui-tools-common (=${source:Version}), ${shlibs:Depends}, ${misc:Depends}
Conflicts: mysql-query-browser-common
Replaces: mysql-query-browser-common
Description: Official GUI tool to query MySQL database
 MySQL Query Browser is a visual database query tool with a syntax
 highlighting SQL editor. The result tables of may be edited 
 before changes are committed to the database.

Package: mysql-gui-tools-common
Architecture: all
Depends: ${misc:Depends}
Recommends: mysql-admin
Conflicts: mysql-query-browser-common, mysql-admin-common
Replaces: mysql-query-browser-common, mysql-admin-common
Description: Architecture independent files for MySQL GUI Tools
 Icons and GUI XML files used by MySQL Administrator, Query Browser
 and other tools in the MySQL GUI Tools suite. This package
 also includes documentation files.
